curl --request GET \
--url https://api.virtuoussoftware.com/api/Event/Search \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/Event/Search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/Event/Search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/Event/Search");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/Event/Search';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
{
"id": "<integer>",
"address1": "123 Main St",
"address2": "Suite 2",
"city": "Toronto",
"state": "ON",
"postal": "M5V 2T6",
"country": "CA",
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"createDateTimeUtc": "<dateTime>",
"createdByUser": "<string>",
"modifiedDateTimeUtc": "<dateTime>",
"modifiedByUser": "<string>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
},
{
"id": "<integer>",
"address1": null,
"address2": null,
"city": null,
"state": null,
"postal": null,
"country": null,
"eventViewUrl": "<string>",
"name": "<string>",
"eventType": "<string>",
"locationName": "<string>",
"displayAddress": "<string>",
"geocodeAddress": "<string>",
"startDateTime": "<string>",
"endDateTime": "<string>",
"timeZone": "<string>",
"description": "<string>",
"specialInstructions": "<string>",
"inviteOnly": "<boolean>",
"rsvpRequired": "<boolean>",
"totalInvites": "<integer>",
"totalRsvps": "<integer>",
"totalAttended": "<integer>",
"totalGifts": "<integer>",
"totalGiving": "<string>",
"communicationId": "<integer>",
"eventContactsUrl": "<string>",
"generosityEventContacts": [
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
},
{
"id": "<integer>",
"eventContactUrl": "<string>",
"contactId": "<integer>",
"contactUrl": "<string>",
"displayName": "<string>",
"firstName": "<string>",
"avatarUrl": "<string>",
"primaryPhone": "<string>",
"primaryEmail": "<string>"
}
],
"tables": [
"<string>",
"<string>"
],
"meals": [
"<string>",
"<string>"
],
"eventInvitationsUrl": "<string>",
"customFields": [
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
},
{
"name": "<string>",
"value": "<string>",
"displayName": "<string>"
}
]
}
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Find an Event
Returns the events whose name matches, fully or partially, the filter you pass. Use it for type-ahead lookups; for structured filtering, use the Query Events endpoint instead.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
(Required) The filter.
Response
OK
The address1 component of the event address.
The address2 component of the event address.
The city component of the event address.
The state or province code of the event address.
The postal component of the event address.
The country code of the event address.
The unique identifier of the record in Virtuous.
The display name of the record.
The free-text description stored on the record.
The UTC date and time the record was created.
The name of the user who created the record.
The UTC date and time the record was last modified.
The name of the user who last modified the record.
Show child attributes
Show child attributes
The custom field values stored on the record.
Show child attributes
Show child attributes
Was this page helpful?